Bug 25432 - missing libfont.so starting XF86_Mach64 server
missing libfont.so starting XF86_Mach64 server
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0tc
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-31 18:08 EST by Brock Organ
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 13:10:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2001-01-31 18:08:45 EST
initial install: Red Hat Linux 6.2 (English) with the "X Window System"
component group installed (X works properly)

upgrade to 7.0tc ...

first boot after upgrade, run startx:

[root@jkt /root]#
startx                                                           
                                                                                   
/etc/X11/X: error while loading shared libraries: libfont.so.1: cannot open
shared 
object file: No such file or
directory                                             
xinit:  unexpected signal
2                                                        
                                                                                   
[root@jkt
/root]#                                                                  

The libcfont shared library is not present ... curious: a 7.0tc INSTALL
with X shows the libcfont library to be provided by the console-tools
package, but that file is not present in an rpm -qpl listing on another
machine ...
Comment 1 Brock Organ 2001-02-01 09:56:46 EST
bill (notting@redhat.com) correctly noted that running ldconfig fixes this
problem;  he suggests that ldconfig be run in the %post of the X Free server
packages ...
Comment 2 Brock Organ 2001-02-01 11:50:25 EST
this error also occurred during a custom install with only the "X Window
System", "GNOME", and "KDE" component groups selected ... (but did not occur on
an everything custom install) ...
Comment 3 Brock Organ 2001-02-01 13:32:01 EST
hmmm ... this problem seems to occur on systems using the Mach64 server ...

Two minimal custom X installs on two machines (one with Mach64 server, one not)
the post install X fails on the machine w/Mach64, but completes on the other ...
Comment 4 Brock Organ 2001-02-02 11:22:13 EST
confirmed.  This error only affects installs/upgrades with X that use the Mach64
server.  Running ldconfig fixes the problem:

[root@test92 /root]# ldd
/usr/X11R6/bin/XF86_Mach64                               
        libttf.so.2 => /usr/lib/libttf.so.2
(0x4001c000)                          
        libfont.so.1 => not found        	(<=
ERROR!)                                         
        libm.so.6 => /lib/libm.so.6
(0x40043000)                                  
        libdl.so.2 => /lib/libdl.so.2
(0x40063000)                                
        libc.so.6 => /lib/libc.so.6
(0x40067000)                                  
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2
(0x40000000)                     
[root@test92 /root]#
ldconfig                                                     
[root@test92 /root]# ldd
/usr/X11R6/bin/XF86_Mach64                               
        libttf.so.2 => /usr/lib/libttf.so.2
(0x4001c000)                          
        libfont.so.1 => /usr/X11R6/lib/libfont.so.1 (0x40043000)   
(FIXED!)              
        libm.so.6 => /lib/libm.so.6
(0x400a0000)                                  
        libdl.so.2 => /lib/libdl.so.2
(0x400c0000)                                
        libc.so.6 => /lib/libc.so.6
(0x400c4000)                                  
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2
(0x40000000)                     
[root@test92
/root]#                                                              
Comment 5 Brock Organ 2001-02-07 10:13:28 EST
I didn't make this clear above, but another manifestation of this same error is
that the installer will not run in GUI mode on cards requiring the Mach64 server
...
Comment 6 Brock Organ 2001-02-07 13:10:20 EST
this is fixed in 7.0tc-upload test tree ... first boot after the install, the
user IS able to run X without the libfont error reported earlier ...

Note You need to log in before you can comment on or make changes to this bug.